Bug 1388245 - [RFE] Configurable maximum memory size
Summary: [RFE] Configurable maximum memory size
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ovirt-4.1.0-rc
: 4.1.0
Assignee: jniederm
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On: 1422546
Blocks: RHV4.1PPC 1415592
TreeView+ depends on / blocked
 
Reported: 2016-10-24 20:28 UTC by jniederm
Modified: 2017-03-16 14:48 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This release adds the ability to specify a Maximum Memory value in all VM-like dialogs (Virtual Machine, Template, Pool, and Instance Type). It is accessible in the `{vm, template, instance_type}/memory_policy/max` tag in the REST API. The value defines the upper limit to which memory hot plug can be performed. The default value is 4x memory size.
Clone Of:
Environment:
Last Closed: 2017-03-16 14:48:44 UTC
oVirt Team: Virt
michal.skrivanek: ovirt-4.1?
ipinto: testing_plan_complete+
jniederm: planning_ack?
michal.skrivanek: devel_ack+
ipinto: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1430451 0 medium CLOSED Make max memory to follow memory only when VM is not UP 2021-02-22 00:41:40 UTC
Red Hat Knowledge Base (Solution) 2788261 0 None None None 2017-03-09 08:34:59 UTC
oVirt gerrit 65979 0 master MERGED core: Update machine type to rhel 7.3 version 2020-05-11 14:05:21 UTC
oVirt gerrit 66215 0 master MERGED core: VmBase#maxMemorySizeMb property added 2020-05-11 14:05:21 UTC
oVirt gerrit 66319 0 master MERGED MemoryPolicy#max property added 2020-05-11 14:05:21 UTC
oVirt gerrit 66323 0 master MERGED MemoryPolicy#max is of type long 2020-05-11 14:05:21 UTC
oVirt gerrit 67746 0 master ABANDONED core: VM max memory - DAO + entities 2020-05-11 14:05:21 UTC
oVirt gerrit 67747 0 master MERGED core: VM max memory added 2020-05-11 14:05:21 UTC
oVirt gerrit 67748 0 master MERGED restapi: VM max memory added 2020-05-11 14:05:22 UTC
oVirt gerrit 67749 0 master MERGED webadmin: VM max memory added 2020-05-11 14:05:22 UTC
oVirt gerrit 67870 0 master MERGED core: VM maxMemory sent to VDSM 2020-05-11 14:05:22 UTC

Internal Links: 1430451

Description jniederm 2016-10-24 20:28:29 UTC
Allow to configure maximum memory size per VM. The value should default to 4x memory size.

Currently max mem size is set by global config values VM32BitMaxMemorySizeInMB, VM64BitMaxMemorySizeInMB and VMPpc64BitMaxMemorySizeInMB to 1048576MB which prevents hot memory unplug from working.

Comment 3 Israel Pinto 2017-03-14 11:52:57 UTC
Verify with:
Red Hat Virtualization Manager Version: 4.1.1.3-0.1.el7
Host:
OS Version:RHEL - 7.3 - 7.el7
Kernel Version:3.10.0 - 550.el7.x86_64
KVM Version:2.6.0 - 28.el7_3.3.1
LIBVIRT Version:libvirt-2.0.0-10.el7_3.5
VDSM Version:vdsm-4.19.7-1.el7ev
SPICE Version:0.12.4 - 20.el7_3
run test plan all pass


Note You need to log in before you can comment on or make changes to this bug.